QGIS Application - Bug report #13143
Print Composer won't export PDF
2015-07-22 11:50 AM - Ronald Campbell

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.8.2 Regression?: No
Operating System: Mac Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 21206
Description

Newly installed QGIS 2.8.2 on laptop running Mac OS 10.10.2. Created 5-layer map. Composed layout with legend, label in Composer.
When attempting to export PDF, saw brief flash where "export" box should have been; no export occurred. Repeated attempts to quit,
re-start over past two days. One successful export of JPEG after many failures. Also tried, failed to print to paper.

With older versions of QGIS, | have been able to print to paper, to PDF and to JPEG.

Related issues:
Related to QGIS Application - Bug report # 13399: Unable to export image in P... Closed 2015-09-22

History

#1 - 2015-07-30 01:33 PM - Giovanni Manghi
- Status changed from Open to Feedback

Coukd you attach the a sample project and data? Does the issue persist on 2.10? have you tried without any 3rd party plugin active? Have you tried by
(temporarily) purging the .qgis2 folder?

#2 - 2015-09-08 08:45 PM - Miguel Martinez Soler

Actually it won't export an image neither. | found the same issue on 2.10.

It seems its related to the HTML rendering of labels. I've recorded a screencast that can be seen at https://youtu.be/C2QZX9iSYe8

If 1 uncheck the "Render as HTML" option, everything works ok. The exporting dialog does work actually from time to time, even if | use HTML rendering.

I'll check this again on 2.10 and upload a video later.

#3 - 2015-12-19 02:31 PM - Giovanni Manghi
- Resolution set to duplicate
- Status changed from Feedback to Closed

duplicate of #13399
